Bug 830207 - Seam: TAG-16 Quartz example
Seam: TAG-16 Quartz example
Status: CLOSED DEFERRED
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Examples, Seam (Show other bugs)
2.0.0.ER7
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Marek Novotny
Karel Piwko
Seam2.3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 10:41 EDT by Karel Piwko
Modified: 2012-06-19 04:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 04:18:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Piwko 2012-06-08 10:41:15 EDT
Description	Resource	Path	Location	Type
cvc-complex-type.2.4.c: The matching wildcard is strict, but no declaration can be found for element 'pay:payment-home'.	components.xml	/quartz-web/src/main/webapp/WEB-INF	line 18	XML Problem
cvc-complex-type.2.4.c: The matching wildcard is strict, but no declaration can be found for element 'pay:payment-home'.	components.xml	/quartz-web/target/m2e-wtp/web-resources/WEB-INF	line 18	XML Problem
cvc-complex-type.2.4.c: The matching wildcard is strict, but no declaration can be found for element 'pay:payment'.	components.xml	/quartz-web/src/main/webapp/WEB-INF	line 24	XML Problem
cvc-complex-type.2.4.c: The matching wildcard is strict, but no declaration can be found for element 'pay:payment'.	components.xml	/quartz-web/target/m2e-wtp/web-resources/WEB-INF	line 24	XML Problem
Comment 1 Karel Piwko 2012-06-08 10:41:43 EDT
Following errors happen in quartz example when imported to JBDS (ignoring missing Maven artifacts) ^
Comment 2 Marek Novotny 2012-06-15 07:11:18 EDT
This is related to Seam configuration of XML namespace with defined custom namespace in package-info.java class.

The example itself doesn't provide the XSD for XML validation so it is correct that these errors are shown.

We anyway don't fix it as it is a showcase how to quickly define user namespace.
More in Seam reference documentation http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html-single/Seam_Reference_Guide/index.html#id3021450

Anyway If you want to get off these errors just remove whole xsi:schemaLocation= part of components element

Note You need to log in before you can comment on or make changes to this bug.